#!/bin/sh


. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo 0 > /sys/class/graphics/fbcon/cursor_blink


echo "starting gstreamer with COLOR (YUV in BT656 Mode) Source ..."
echo "read $GRAB_RES (offset x,y=$OFFSET_SENSOR) in two frames (odd,even)"
echo "combine odd/even in IPU, deinterlace with gstreamer and write to framebuffer 752x480"
echo "===================================================================================="
echo ""
echo "configure IPU/VPU with media_control"
echo "===================================="

media-ctl -r
media-ctl -V ''$CAM_ENTITY_NUMBER'0[fmt:'$CAM_COL_FMT'/720x576 (0,0)/720x576]'
media-ctl -V '"ipu0-csi0-sd":0[fmt:'$CAM_COL_FMT'/720x576]'
media-ctl -V '"ipu0-csi0-sd":1[fmt:'$CAM_COL_FMT'/720x576]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)



echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 \
	v4l2src device=$IPU0_CSI0_DEVICE $NORM ! \
	i2c file=`dirname $0`/../register-settings-tw9910.txt show=0 dev=$CAM_DEVICE ! \
	video/x-$COL_FORMAT,width=720,height=576 ! \
	videocrop right=0 left=0 top=48 bottom=48 ! \
	deinterlace mode=0 fields=1 ! \
	videoconvert ! \
	kmssink driver-name="imx-drm" scale=false sync=false
#	fbdevsink sync=false

# min one set e.g."videocrop top=0 bottom=1" is for right work nessesary
	
echo 1 > /sys/class/graphics/fbcon/cursor_blink
